Subject: bug#1283 closed by Stefan Monnier <[email-masked]> (Re: bug#1283: 23.0.60; minibuffer-complete and file names with `-' or `_')

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1283: 23.0.60; minibuffer-complete and file names with `-' or `_'

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
1283: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1283
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Oct 31 09:52:19 2008
From: Stefan Monnier <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#1283: 23.0.60; minibuffer-complete and file names with `-' or `_'
Date: Fri, 31 Oct 2008 12:52:05 -0400

> On my system, /lib contains these two files:

>    libthread_db-1.0.so
>    libthread_db.so.1

> When I type `C-x d' or `C-x C-f' and then `/lib/libthr TAB', the path is
> completed to `/lib/libthread_db.so.1'.  

> Also on my system, /usr/lib contains these three files:

>    libthread_db.so
>    libthreadweaver.so.4
>    libthreadweaver.so.4.1.0

> When I type `C-x d' or `C-x C-f' and then `/usr/lib/libthr TAB', the
> path is completed to `/usr/lib/libthreadweaver.so.4'.  A second TAB
> tells me this is complete but not unique and the *Completions* buffer
> shows me (only) libthreadweaver.so.4 and libthreadweaver.so.4.1.0.

> This is with -Q, and I get the same behavior with completion-styles set
> to any of `basic', `emacs21', emacs22', or `partial-completion'.

This is the effect of having ".so" in the completion-ignored-extensions,

        Stefan

>From [email-masked] Fri Oct 31 08:16:16 2008
From: Stephen Berman <[email-masked]>
To: [email-masked]
Subject: 23.0.60; minibuffer-complete and file names with `-' or `_'
Sender: [email-masked]
Date: Fri, 31 Oct 2008 16:15:49 +0100

In GNU Emacs 23.0.60.12 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-10-25 on escher

On my system, /lib contains these two files:

   libthread_db-1.0.so
   libthread_db.so.1

When I type `C-x d' or `C-x C-f' and then `/lib/libthr TAB', the path is
completed to `/lib/libthread_db.so.1'.  

Also on my system, /usr/lib contains these three files:

   libthread_db.so
   libthreadweaver.so.4
   libthreadweaver.so.4.1.0

When I type `C-x d' or `C-x C-f' and then `/usr/lib/libthr TAB', the
path is completed to `/usr/lib/libthreadweaver.so.4'.  A second TAB
tells me this is complete but not unique and the *Completions* buffer
shows me (only) libthreadweaver.so.4 and libthreadweaver.so.4.1.0.

This is with -Q, and I get the same behavior with completion-styles set
to any of `basic', `emacs21', emacs22', or `partial-completion'.